Issue 8933

Title
Exception raised when creating statement rule that uses ofx type
Priority
bug
Status
resolved
Nosy list
dave, edbo, reviewbot, roundup-bot
Assigned to
edbo
Keywords
review

Created on 2019-12-17.11:02:13 by dave, last changed 8 months ago by roundup-bot.

Messages

New changeset 6f04ebb5ae46 by EdbO in branch '5.4':
Add missing underscore to type
https://hg.tryton.org/modules/account_statement_rule/rev/6f04ebb5ae46

New changeset d63f5fd5b0de by EdbO in branch '5.2':
Add missing underscore to type
https://hg.tryton.org/modules/account_statement_rule/rev/d63f5fd5b0de
New changeset f9322acacb56 by C├ędric Krier in branch 'default':
Add missing underscore to type
https://hg.tryton.org/tryton-env/rev/f9322acacb56
New changeset edbc31fd9853 by EdbO in branch 'default':
Add missing underscore to type
https://hg.tryton.org/modules/account_statement_rule/rev/edbc31fd9853
Author: [hidden] (dave) Tryton committer
Date: 2019-12-17.11:02:12
With the account_statement_ofx and account_statement_rule modules activated if you try and create a statement rule with an "Information Rules" "Key" of "Type" the following exception is raised as soon as you select "Type" from the list of keys.  It is also the raised again if you try and save the statement rule.

Traceback (most recent call last):
  File "/usr/local/lib/python37/dist-packages/trytond/model/modelstoragepy", line 1412, in __getattr__
    field = self_fields[name]
KeyError: 'type'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 108, in dispatch_request
    return endpoint(request, **requestview_args)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 48, in rpc
    request, database_name, *requestrpc_params)
  File "/usr/local/lib/python37/dist-packages/trytond/wsgipy", line 76, in auth_required
    return wrapped(*args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/wrapperspy", line 131, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/protocols/dispatcherpy", line 191, in _dispatch
    result = rpcresult(meth(inst, *c_args, **c_kwargs))
  File "/usr/local/lib/python37/dist-packages/trytond/model/fields/fieldpy", line 117, in wrapper
    return func(self, *args, **kwargs)
  File "/usr/local/lib/python37/dist-packages/trytond/modules/account_statement_rule/accountpy", line 194, in get_selections
    if selfkey and selfkeytype == 'selection':
  File "/usr/local/lib/python37/dist-packages/trytond/model/modelstoragepy", line 1414, in __getattr__
    raise AttributeError('"%s" has no attribute "%s"' % (self, name))
AttributeError: "accountstatementorigininformation,4" has no attribute "type"
History
Date User Action Args
2020-03-26 23:41:42roundup-botsetmessages: + msg56677
keyword: - backport
2020-03-17 09:58:39roundup-botsetmessages: + msg56289
2020-03-17 09:58:34roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg56287
2020-03-16 21:30:49cedsetstatus: chatting -> testing
assignedto: edbo
component: - account_statement_ofx
keyword: + backport
nosy: + edbo
2020-03-16 21:25:46reviewbotsetstatus: unread -> chatting
nosy: + reviewbot
messages: + msg56277
2020-03-16 21:25:45reviewbotsetreviews: 251001002
keyword: + review
2019-12-17 11:02:13davecreate

Showing 10 items. Show all history (warning: this could be VERY long)